Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# stock.hh File Reference

A GtkStockItem C++ wrapper interface. More...

`#include <xfc/stackobject.hh>`
`#include <xfc/utfstring.hh>`
`#include <xfc/gdk/types.hh>`
`#include <xfc/gtk/stockid.hh>`
`#include <vector>`
`#include <xfc/gtk/inline/stock.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::StockItem
    A GtkStockItem C++ wrapper class. More...
- class Xfc::Gtk::Stock
    A C++ wrapper class for various stock methods. More...

## Detailed Description

A GtkStockItem C++ wrapper interface.

Provides Stock and StockItem, an interface to access commonly-used menu or toolbar items such as "Open" or "Exit".
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3